Subject: Re: [PATCH (net.git) 2/4] stmmac: fix and better tune the default buffer sizes

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 5 Mar 2014 11:26:10 +0100

On 3/5/2014 10:33 AM, David Laight wrote:
> From: Giuseppe CAVALLARO
>> Hello David
>>
>> Sorry, can you tell me what is the final your opinion about
>> this patch?
>>
>> I think that it not good to keep 4KiB as default and your main concern
>> was about the default buffer size that depended on VLAN ifconfig.
>>
>> So I could adopt 1536bytes as default and remove ifdef.
>
> If the rx buffer size has to match the mtu then the minimum
> size needs to be that for non-vlan packets.
>
> OTOH if the rx buffer size only has to be 'long enough' and
> a frame length check is done in software then you can always
> use the vlan length and save reconfig is someone enables vlans.

yes this is what I wanted to have.

> My real concern was that you were setting the minimum buffer
> size based on a vlan config option - which really didn't seem
> right at all.

ok, so I'll re-send a patch using as default 1536 and w/o surrounding
the code with ifdef (vlan).

thx
peppe

> 	David